
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serializable;
/**
 * 规格组合商品管理表
 *
 * @author lhd
 * @date 2023-11-06 11:00:41
 */
public class SkuCombo extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 规格id
     */
    private Long skuId;

    /**
     * 组合的skuid
     */
    private Long comboSkuId;
    /**
     * 组合的spuid
     */
    private Long comboSpuId;

    /**
     * 组合数量
     */
    private Long comboCount;

    public Long getComboCount() {
        return comboCount;
    }

    public void setComboCount(Long comboCount) {
        this.comboCount = comboCount;
    }

    public Long getComboSpuId() {
        return comboSpuId;
    }

    public void setComboSpuId(Long comboSpuId) {
        this.comboSpuId = comboSpuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getComboSkuId() {
        return comboSkuId;
    }

    public void setComboSkuId(Long comboSkuId) {
        this.comboSkuId = comboSkuId;
    }


    @Override
    public String toString() {
        return "SkuCombo{" +
                "skuId=" + skuId +
                ", comboSkuId=" + comboSkuId +
                ", comboSpuId=" + comboSpuId +
                ", comboCount=" + comboCount +
                '}';
    }
}
